API referenceHealth
Subnet Health Percentiles
Last updated
Fetch latency percentiles (p50/p95/p99) per operational surface for one subnet over a 7d or 30d window (computed live from D1).
Path Parameters
netuid*integer
Range
0 <= valueQuery Parameters
window?string
Value in
- "7d"
- "30d"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/subnets/0/health/percentiles"{ "data": { "netuid": 7, "observed_at": "2026-06-01T00:00:00.000Z", "schema_version": 1, "source": "live-cron-prober", "surfaces": [ { "latency_ms": { "avg": 1, "max": 1, "min": 1, "p50": 1, "p95": 1, "p99": 1 }, "samples": 1, "surface_id": "example" } ], "window": "30d" }, "meta": { "artifact_path": "example", "cache": "short", "contract_version": "2026-06-29.1", "generated_at": "2026-06-01T00:00:00.000Z", "pagination": { "collection": "example", "cursor": 1, "limit": 1, "next_cursor": 1, "order": "asc", "returned": 1, "sort": "example", "total": 1 }, "published_at": "2026-06-01T00:00:00.000Z", "source": "live-cron-prober", "stale_contract": { "built_under": "example", "live": "example" } }, "ok": true, "schema_version": 1}